#!/bin/bash

match=$(date +"%a" | tr '[:upper:]' '[:lower:]' | sed 's/mon/lunedi/;s/tue/martedi/;s/wed/mercoledi/;s/thu/giovedi/;s/fri/venerdi/;s/sat/sabato/;s/sun/domenica/')

case $1 in
    -g|--gattini)
	match="gatto\|gattin\|micett"
	;;
    --caffe)
	match="caffè"
	;;
    --glitter)
	match="glitter"
	;;
    --random)
	match="uploads"
	;;
    *)
	;;
esac

curl -s  "http://immaginibuongiorno.it" | grep "$match" | grep -oP "(?<=src=\").*(?=\")" | cut -d '"' -f 1 | shuf -n 1
